Package org.kie.api.runtime.manager

## Interface RuntimeEnvironmentBuilder

-     public interface RuntimeEnvironmentBuilder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `RuntimeEnvironmentBuilder.Factory` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RuntimeEnvironmentBuilder` | `addAsset​(Resource asset, ResourceType type)` |
    `RuntimeEnvironmentBuilder` | `addConfiguration​(java.lang.String name, java.lang.String value)` |
    `RuntimeEnvironmentBuilder` | `addEnvironmentEntry​(java.lang.String name, java.lang.Object value)` |
    `RuntimeEnvironmentBuilder` | `classLoader​(java.lang.ClassLoader cl)` |
    `RuntimeEnvironmentBuilder` | `entityManagerFactory​(java.lang.Object emf)` |
    `RuntimeEnvironment` | `get()` |
    `RuntimeEnvironmentBuilder` | `knowledgeBase​(KieBase kbase)` |
    `RuntimeEnvironmentBuilder` | `persistence​(boolean persistenceEnabled)` |
    `RuntimeEnvironmentBuilder` | `registerableItemsFactory​(RegisterableItemsFactory factory)` |
    `RuntimeEnvironmentBuilder` | `schedulerService​(java.lang.Object globalScheduler)` |
    `RuntimeEnvironmentBuilder` | `userGroupCallback​(UserGroupCallback callback)` |
    `RuntimeEnvironmentBuilder` | `userInfo​(UserInfo userInfo)` |

- - ### Method Detail

    - #### persistence

          RuntimeEnvironmentBuilder persistence​(boolean persistenceEnabled)

    - #### entityManagerFactory

          RuntimeEnvironmentBuilder entityManagerFactory​(java.lang.Object emf)

    - #### addAsset

          RuntimeEnvironmentBuilder addAsset​(Resource asset,
                                             ResourceType type)

    - #### addEnvironmentEntry

          RuntimeEnvironmentBuilder addEnvironmentEntry​(java.lang.String name,
                                                        java.lang.Object value)

    - #### addConfiguration

          RuntimeEnvironmentBuilder addConfiguration​(java.lang.String name,
                                                     java.lang.String value)

    - #### knowledgeBase

          RuntimeEnvironmentBuilder knowledgeBase​(KieBase kbase)

    - #### userGroupCallback

          RuntimeEnvironmentBuilder userGroupCallback​(UserGroupCallback callback)

    - #### userInfo

          RuntimeEnvironmentBuilder userInfo​(UserInfo userInfo)

    - #### registerableItemsFactory

          RuntimeEnvironmentBuilder registerableItemsFactory​(RegisterableItemsFactory factory)

    - #### get

          RuntimeEnvironment get()

    - #### classLoader

          RuntimeEnvironmentBuilder classLoader​(java.lang.ClassLoader cl)

    - #### schedulerService

          RuntimeEnvironmentBuilder schedulerService​(java.lang.Object globalScheduler)